Schedule an export batch

Schedule export generation for many reports (or submissions) in one request using a predefined export definition. Provide exactly one of report_ids or submission_ids (subject to a per-batch size limit), and exactly one of export_id or export_name. Returns a batch ID and the individual generation IDs.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Batch export request. Provide exactly one of report_ids or submission_ids (subject to a per-batch size limit), and exactly one of export_id or export_name.

report_ids
array of uuids

List of report IDs to be included in the batch export (mutually exclusive with submission_ids).

Report Ids
submission_ids
array of uuids

List of submission IDs to be included in the batch export (mutually exclusive with report_ids).

Submission Ids
uuid

The ID of the export template (either this or export_name must be provided)

string

The name of the export template (either this or export_id must be provided)

Responses

400

The request is invalid — for example the batch size limit was exceeded, or the report/submission identifiers were not provided as exactly one set.

401

The bearer token is missing or invalid.

404

The export definition was not found.

422

Validation Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json